#
# spec file for package python-pytest-metadata
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-metadata
Version:        1.8.0
Release:        lp152.2.52
Summary:        Pytest plugin for test session metadata
License:        MPL-2.0
Group:          Development/Languages/Python
URL:            https://github.com/pytest-dev/pytest-metadata
Source:         https://files.pythonhosted.org/packages/source/p/pytest-metadata/pytest-metadata-%{version}.tar.gz
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 2.9.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 2.9.0}
# /SECTION
%python_subpackages

%description
Pytest plugin for test session metadata.

%prep
%setup -q -n pytest-metadata-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v

%files %{python_files}
%license LICENSE
%doc CHANGES.rst README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.8.0:
  * Add environment variables for Bitbucket pipelines (CI).
* Thu Nov 22 2018 Tomáš Chvátal <tchvatal@suse.com>
- Really execute some tests
* Thu Nov 22 2018 Tomáš Chvátal <tchvatal@suse.com>
- Cleanup with spec-cleaner
- Use %%license macro
* Fri Nov 16 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 1.7.0
